Is there a way to go from Point2D to Point3D?
Say I have a series of XY points that represent a plane. Is there a way to move the plane off the XY axis to a specified Z value?
Is there a way to go from Point2D to Point3D?
Say I have a series of XY points that represent a plane. Is there a way to move the plane off the XY axis to a specified Z value?
Point2d are (to my knowledge) only for use in LayOut for 2D objects that are neither located in a 3-dimensional space nor have a representation in it.
In SketchUp, there are only Point3d that are used for both geometry in 3-dimensional space (even if it is a plane) and for 2-dimensional drawing in the screen plane (then the third coordinate is ignored).
If you want to convert a list of points, you can generate a list of new points:
# In LayOut 2018+ only!
points2d = [Geom::Point2d.new(1, 2)]
z = 5
points3d = points2d.map{ |p| Geom::Point3d.new(p.x, p.y, z) }
Thanks!